#include<bits/stdc++.h>
using namespace std;

int main ()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int N;
    cin >> N;
    int br = 0;
    for(int i = 1; i * i * i <= N; i++)
    {
        if(N % i == 0)
        {
            for(int j = i; j * j <= N; j++)
            {
                if(N % j == 0 and N / i / j >= j)
                {
                    br++;
                }
            }
        }
    }
    cout << br << endl;
    return 0;
}
